OrderByTemplateTokenTypes (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql.ordering.antlr
Interface OrderByTemplateTokenTypes

All Known Implementing Classes:
  Factory, GeneratedOrderByFragmentParser, GeneratedOrderByLexer, OrderByFragmentParser

    public interface OrderByTemplateTokenTypes

Field Summary
`static int` | `ASCENDING`
`static int` | `CLOSE_PAREN`
`static int` | `COLLATE`
`static int` | `COLUMN_REF`
`static int` | `COMMA`
`static int` | `DESCENDING`
`static int` | `DOT`
`static int` | `EOF`
`static int` | `ESCqs`
`static int` | `EXPONENT`
`static int` | `EXPR_LIST`
`static int` | `FLOAT_SUFFIX`
`static int` | `HARD_QUOTE`
`static int` | `HEX_DIGIT`
`static int` | `ID_LETTER`
`static int` | `ID_START_LETTER`
`static int` | `IDENT`
`static int` | `IDENT_LIST`
`static int` | `LITERAL_ascending`
`static int` | `LITERAL_descending`
`static int` | `NULL_TREE_LOOKAHEAD`
`static int` | `NUM_DOUBLE`
`static int` | `NUM_FLOAT`
`static int` | `NUM_INT`
`static int` | `NUM_LONG`
`static int` | `OPEN_PAREN`
`static int` | `ORDER_BY`
`static int` | `ORDER_SPEC`
`static int` | `QUOTED_STRING`
`static int` | `SORT_KEY`
`static int` | `SORT_SPEC`
`static int` | `WS`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### NULL_TREE_LOOKAHEAD

    static final int NULL_TREE_LOOKAHEAD

See Also:
  Constant Field Values

### ORDER_BY

    static final int ORDER_BY

See Also:
  Constant Field Values

### SORT_SPEC

    static final int SORT_SPEC

See Also:
  Constant Field Values

### ORDER_SPEC

    static final int ORDER_SPEC

See Also:
  Constant Field Values

### SORT_KEY

    static final int SORT_KEY

See Also:
  Constant Field Values

### EXPR_LIST

    static final int EXPR_LIST

See Also:
  Constant Field Values

### DOT

    static final int DOT

See Also:
  Constant Field Values

### IDENT_LIST

    static final int IDENT_LIST

See Also:
  Constant Field Values

### COLUMN_REF

    static final int COLUMN_REF

See Also:
  Constant Field Values

### COLLATE

    static final int COLLATE

See Also:
  Constant Field Values

### ASCENDING

    static final int ASCENDING

See Also:
  Constant Field Values

### DESCENDING

    static final int DESCENDING

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### HARD_QUOTE

    static final int HARD_QUOTE

See Also:
  Constant Field Values

### IDENT

    static final int IDENT

See Also:
  Constant Field Values

### OPEN_PAREN

    static final int OPEN_PAREN

See Also:
  Constant Field Values

### CLOSE_PAREN

    static final int CLOSE_PAREN

See Also:
  Constant Field Values

### NUM_DOUBLE

    static final int NUM_DOUBLE

See Also:
  Constant Field Values

### NUM_FLOAT

    static final int NUM_FLOAT

See Also:
  Constant Field Values

### NUM_INT

    static final int NUM_INT

See Also:
  Constant Field Values

### NUM_LONG

    static final int NUM_LONG

See Also:
  Constant Field Values

### QUOTED_STRING

    static final int QUOTED_STRING

See Also:
  Constant Field Values

### LITERAL_ascending

    static final int LITERAL_ascending

See Also:
  Constant Field Values

### LITERAL_descending

    static final int LITERAL_descending

See Also:
  Constant Field Values

### ID_START_LETTER

    static final int ID_START_LETTER

See Also:
  Constant Field Values

### ID_LETTER

    static final int ID_LETTER

See Also:
  Constant Field Values

### ESCqs

    static final int ESCqs

See Also:
  Constant Field Values

### HEX_DIGIT

    static final int HEX_DIGIT

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### FLOAT_SUFFIX

    static final int FLOAT_SUFFIX

See Also:
  Constant Field Values

### WS

    static final int WS

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.